Retrieve a label - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/labels/{id}

cURL

GET https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var labelUrl =
  "https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc";

dwolla.get(labelUrl).then((res) => res.body.id); // => '7e042ffe-e25e-40d2-b86e-748b98845ecc'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'

label = app_token.get(label_url)
label.body['id'] # => '7e042ffe-e25e-40d2-b86e-748b98845ecc'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$labelUrl = "https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc";

$labelsApi = new DwollaSwagger\LabelsApi($apiClient);

$label = $labelsApi->getLabel($labelUrl);
$label->id; # => "7e042ffe-e25e-40d2-b86e-748b98845ecc"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'

label = app_token.get label_url
label.id # => "7e042ffe-e25e-40d2-b86e-748b98845ecc"

200

403

404

{
  "_links": {},
  "id": "7e042ffe-e25e-40d2-b86e-748b98845ecc",
  "created": "2022-05-15T22:19:09.635Z",
  "amount": {
    "value": "10.00",
    "currency": "USD"
  }
}
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}

Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept

enum

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

application/vnd.dwolla.v1.hal+json

Path Parameters

id

string

required

Label unique identifier

Response

200

application/vnd.dwolla.v1.hal+json

successful operation

_links
object
Showchild attributes
id
string
Example:
`"7e042ffe-e25e-40d2-b86e-748b98845ecc"`
created
string<date-time>
Example:
`"2022-05-15T22:19:09.635Z"`
amount
object
Showchild attributes